Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 490668 (CVE-2013-1418) - <app-crypt/mit-krb5-1.11.4 : multi-realm KDC null dereference leads to crash (CVE-2013-1418)
Summary: <app-crypt/mit-krb5-1.11.4 : multi-realm KDC null dereference leads to crash ...
Status: RESOLVED FIXED
Alias: CVE-2013-1418
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-07 08:30 UTC by Agostino Sarubbo
Modified: 2013-12-16 17:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-11-07 08:30:08 UTC
It was reported [1] that if a KDC serves multiple realms, certain requests could cause the setup_server_realm() funtion to dereference a null pointer, resulting in a crash of the KDC (Key Distribution Center).  This can be triggered by an unauthenticated user.

This has been correct in git [2].

[1] http://mailman.mit.edu/pipermail/krb5-bugs/2013-November/010206.html
[2] https://github.com/krb5/krb5/commit/5d2d9a1abe46a2c1a8614d4672d08d9d30a5f8bf
Comment 1 Eray Aslan gentoo-dev 2013-11-09 05:17:59 UTC
+*mit-krb5-1.11.4 (09 Nov 2013)
+
+  09 Nov 2013; Eray Aslan <eras@gentoo.org> +mit-krb5-1.11.4.ebuild:
+  Security bump - bug #490668
+

@security:  Please stabilise =app-crypt/mit-krb5-1.11.4.  Thank you.
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2013-11-11 14:43:50 UTC
Arches, please test and mark stable:

=app-crypt/mit-krb5-1.11.4

Target Keywords : "alpha amd64 arm hppa ia64 ppc ppc64 sparc x86"
Comment 3 Jeroen Roovers gentoo-dev 2013-11-12 13:48:50 UTC
Stable for HPPA.
Comment 4 Agostino Sarubbo gentoo-dev 2013-11-12 20:14:01 UTC
ia64 stable
Comment 5 Agostino Sarubbo gentoo-dev 2013-11-13 06:56:23 UTC
ppc stable
Comment 6 Agostino Sarubbo gentoo-dev 2013-11-13 06:58:19 UTC
ppc64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2013-11-13 07:28:26 UTC
alpha stable
Comment 8 Agostino Sarubbo gentoo-dev 2013-11-13 07:47:17 UTC
x86 stable
Comment 9 Agostino Sarubbo gentoo-dev 2013-11-13 07:48:06 UTC
amd64 stable
Comment 10 Agostino Sarubbo gentoo-dev 2013-11-16 08:40:04 UTC
arm stable
Comment 11 Agostino Sarubbo gentoo-dev 2013-11-16 08:40:50 UTC
sparc stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 12 Yury German Gentoo Infrastructure gentoo-dev Security 2013-11-19 05:29:34 UTC
Maintainer(s), thank you for cleanup.
Comment 13 Chris Reffett gentoo-dev Security 2013-12-03 19:24:15 UTC
Added to existing request.
Comment 14 GLSAMaker/CVETool Bot gentoo-dev 2013-12-12 17:05:02 UTC
CVE-2013-1418 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-1418):
  The setup_server_realm function in main.c in the Key Distribution Center
  (KDC) in MIT Kerberos 5 (aka krb5) before 1.10.7, when multiple realms are
  configured, allows remote attackers to cause a denial of service (NULL
  pointer dereference and daemon crash) via a crafted request.
Comment 15 Chris Reffett gentoo-dev Security 2013-12-12 17:05:44 UTC
GLSA vote: yes.
Comment 16 Chris Reffett gentoo-dev Security 2013-12-12 17:07:26 UTC
Whoops, didn't see that I had already added this. Fail.
Comment 17 GLSAMaker/CVETool Bot gentoo-dev 2013-12-16 17:54:01 UTC
This issue was resolved and addressed in
 GLSA 201312-12 at http://security.gentoo.org/glsa/glsa-201312-12.xml
by GLSA coordinator Sergey Popov (pinkbyte).